'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var loom = require('@shopify/loom');

function jestConfig({
  jestTestEnvironment
}) {
  return loom.createProjectTestPlugin('BuildLibrary.JestConfig', ({
    hooks
  }) => {
    hooks.configure.hook(configuration => {
      var _configuration$jestTe, _configuration$jestTr;

      (_configuration$jestTe = configuration.jestTestEnvironment) === null || _configuration$jestTe === void 0 ? void 0 : _configuration$jestTe.hook(() => jestTestEnvironment);
      (_configuration$jestTr = configuration.jestTransform) === null || _configuration$jestTr === void 0 ? void 0 : _configuration$jestTr.hook(async transforms => ({ ...transforms,
        '^.+\\.(m?js|tsx?)$': [require.resolve('babel-jest'), { ...(await configuration.babelConfig.run({})),
          targets: 'current node',
          envName: 'test'
        }]
      }));
    });
  });
}

exports.jestConfig = jestConfig;
